Version 1 (modified by plobsing, 4 years ago)

Add upgrade instructions for pkg-config deprecation.

Parrot Deprecations for 3.3

pkg-config Support

parrot.pc will no longer be generated or installed.

Rationale

pkg-config conflicts with Parrot's installation guidelines which support multiple simultaneous installed versions (PDD30). As it stands, Parrot's pkg-config information has been unusable for several years, but noone has complained, indicating that this is unused.

Replacement

Use parrot_config, which is installed with the parrot system. The keys 'embed-cflags' and 'embed-ldflags' replace the pkg-config values of 'CFlags' and 'Libs'.